/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


html,
body {overflow-x:hidden;}
.stk-block-image.plastev,
.tb-gallery.plastev .tb-gallery__cell,
.tb-gallery.plastev .tb-gallery__cell img {clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);}
.stk-block-image.plastev .stk-img-wrapper {aspect-ratio: 58 / 50; background:white;}
.stk-block-image.plastev .stk-img-wrapper img {object-fit: cover !important; transform: scale(0.95); clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%);}
.tb-gallery.plastev .tb-gallery__cell,
.tb-gallery.plastev .tb-gallery__cell img {aspect-ratio: 58 / 50; object-fit:cover; position:relative; position: relative; max-width: none; width: 100%; height: 100%;}
.tb-gallery.plastev .tb-gallery__cell {background-color:white;}
.tb-gallery.plastev .tb-gallery__cell img {position: relative; top: 0px; left: 0px; transform: scale(0.95);}
.tb-gallery.plastev.radek .tb-gallery__cell img {transform: scale(0.92);}

p:empty {display:none;}
p:last-child {margin-bottom:0 !important}

/* */
/* */
/* HEADER */
.inside-header {padding: 0; position: relative;}
.inside-header .site-logo {display: block; position: absolute; z-index: 2; left: 10px; top: 30px; width: 140px; mix-blend-mode: multiply;}

.nav-below-header .main-navigation .inside-navigation.grid-container {padding:0; max-width: calc(var(--stk-block-width-default-detected) + 20em);}

/* */
/* */
/* MENU */
.home .main-navigation:not(.is_stuck) #primary-menu {background-image: url(/wp-content/uploads/2026/02/navigace.webp); background-size: cover; background-position: center bottom; background-repeat: no-repeat; width: 100%; aspect-ratio: 51 / 25; display: flex; justify-content: center; align-items: center;}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu {display: grid; grid-template-columns: repeat(30, 1fr);}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu li {position: relative; background: white; color: white; grid-area: auto / auto / span 6 / span 6; aspect-ratio: 58 / 50; clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%); margin: 4px -6px; position:relative;}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu li:hover {background:var(--accent);}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(1) {grid-area: 1/13/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(2) {grid-area: 4/8/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(3) {grid-area: 7/3/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(4) {grid-area: 10/8/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(5) {grid-area: 7/13/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(6) {grid-area: 4/18/span 6/span 6}
.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(7) {grid-area: 7/23/span 6/span 6}
.home .main-navigation:not(.is_stuck) .main-nav ul li a {clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%); line-height: 1.3; text-align: center; height: 100%; display: flex; justify-content: center; align-items: center; flex-direction: column; width: calc(100% - 10px); height: calc(100% - 10px); left: 5px; top: 5px; background: var(--accent); position: relative;}
.home .main-navigation:not(.is_stuck) .main-nav ul li a:hover {background:var(--zluta); color:var(--accent);}
.home .main-navigation:not(.is_stuck) .main-nav ul li a span {color:var(--zluta); display:block; margin-bottom:10px;}
.home .main-navigation:not(.is_stuck) .main-nav ul li a:hover span {color:var(--accent);}

body:not(.home) .inside-header .site-logo {position:relative; left: auto; top: 0; padding-top: 20px; padding-bottom:20px;}
body:not(.home) .site-header .header-image {height: 60px; width: auto;}
body:not(.home) .main-navigation,
body.home .main-navigation.is_stuck,
body:not(.home) .main-navigation ul ul,
body.home .main-navigation.is_stuck ul ul {background-color: var(--accent); padding: 15px;}

body:not(.home) .main-navigation .main-nav ul li a,
.main-navigation.is_stuck .main-nav ul li a,
body:not(.home) .main-navigation .menu-toggle,
.main-navigation.is_stuck .menu-toggle,
body:not(.home) .main-navigation .menu-bar-items,
.main-navigation.is_stuck .menu-bar-items {color:white; line-height: 1.3; text-align: center; font-size:80%;}
body:not(.home) .menu-item span,
.main-navigation.is_stuck .menu-item span {color:var(--zluta); display:block; text-align:center;}
body:not(.home) .main-navigation .main-nav ul li a:hover,
.main-navigation.is_stuck .main-nav ul li a:hover,
body:not(.home) .main-navigation .menu-toggle:hover,
.main-navigation.is_stuck .menu-toggle:hover,
body:not(.home) .main-navigation .menu-bar-items:hover,
.main-navigation.is_stuck .menu-bar-items:hover,
body:not(.home) .menu-item:hover span,
.main-navigation.is_stuck .menu-item:hover span {color:var(--zluta);}
.site-header .header-image {mix-blend-mode: multiply;}
.main-navigation.is_stuck img {filter: invert(1); mix-blend-mode: screen;}

.sticky-enabled .main-navigation.is_stuck {box-shadow: 0 2px 10px -1px rgba(0, 0, 0, 0.5); border-bottom: 1px solid rgba(0, 0, 0, 0.5); padding: 0 15px !important;}

/* */
/* */
/* NOVINKY */
[id*="wpv-view-layout-243"] {display:grid; grid-template-columns:repeat(4,1fr); grid-gap:50px; padding-bottom:6em; padding-left: 2em; padding-right: 2em;}


/* */
/* */
/* NOVINKY SINGLE */
.single-post .entry-header {display:none;}
.single-post footer.entry-meta {margin-bottom:5em;}
.single-post .entry-meta .cat-links {display:none;}

/* */
/* */
/* AGE GATE */
button.age-gate-submit-no,
button.age-gate-submit-yes,
button.age-gate__submit--no,
button.age-gate__submit--yes {margin: var(--ag-button-margin, 0); background: var(--zluta); color: black; font-weight: 600; text-transform: uppercase; display: flex; justify-content: center; align-items: center; padding: 0; clip-path: polygon(25% 0%, 75% 0%, 100% 50%, 75% 100%, 25% 100%, 0% 50%); aspect-ratio:58/50; width: 150px;}
button.age-gate-submit-no:hover,
button.age-gate-submit-yes:hover,
button.age-gate__submit--no:hover,
button.age-gate__submit--yes:hover {background:var(--accent);}




@media screen and (max-width:1200px) {
	[id*="wpv-view-layout-243"] {grid-template-columns:repeat(2,1fr); grid-gap:30px;}
	body:not(.home) .nav-align-center .main-nav>ul {row-gap: 30px;}
}
@media screen and (max-width:1024px) {
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu {padding: 2em 0;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu li {margin: 5px -8px;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(1) {grid-area: 1/13/span 7/span 7}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(2) {grid-area: 4/7/span 7/span 7}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(3) {grid-area: 15 / 13 / span 7 / span 7;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(4) {grid-area: 11/7/span 7/span 7}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(5) {grid-area: 8/13/span 7/span 7}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(6) {grid-area: 4/19/span 7/span 7}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(7) {grid-area: 11 / 19 / span 7 / span 7}
	.home .main-navigation:not(.is_stuck) .main-nav ul li a span {margin-bottom: 0px;}
	.single-post article {padding:0 1em;}
}

@media screen and (max-width:768px) {
	.one-container .site-content {padding-top:0;}
	.site-header .header-image {width: 100px;}
	.home :not(.is_stuck) .menu-toggle {display:none;}
	.main-navigation.is_stuck {display:none !important;}
	.menu-toggle[aria-expanded="true"] {margin-bottom:1.5em;}
	.main-navigation.toggled .main-nav li {margin-bottom:1em;}
	.main-navigation.toggled .main-nav li:last-of-type {margin-bottom:0em;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu {padding: 1em 0; align-items: start;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu li {margin: 5px -15px;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(1) {grid-area: 1/11/span 10/span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(2) {grid-area: 6/2/span 10/span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(3) {grid-area: 21 / 11 / span 10 / span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(4) {grid-area: 16/2/span 10/span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(5) {grid-area: 11/11/span 10/span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(6) {grid-area: 6/20/span 10/span 10}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(7) {grid-area: 16 / 20 / span 10 / span 10}
	.tb-gallery.plastev .tb-gallery {grid-template-columns: repeat(3, 1fr) !important; grid-gap: 10px !important;}
	[id*="wpv-view-layout-243"] {grid-template-columns: 1fr; padding-left:0; padding-right:0; grid-gap:70px;}
	
}

@media screen and (max-width:450px) {
	.inside-header .site-logo {left: 0 !important; width: 50%; transform: translateX(50%);}
	body:not(.home) .inside-header .site-logo {width: 100%; transform: none;}
	.site-header .header-image {width: 80px;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu {padding-top: 110px;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu li {margin: -8px -4px;}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(1) {grid-area: 1/1/span 17/span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(2) {grid-area: 10/14/span 17/span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(3) {grid-area: 19 / 1 / span 17 / span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(4) {grid-area: 28/14/span 17/span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(5) {grid-area: 37/1/span 17/span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(6) {grid-area: 46/14/span 17/span 17}
	.home .main-navigation:not(.is_stuck) #primary-menu #menu-hlavni-menu > :nth-child(7) {grid-area: 55 / 1 / span 17 / span 17}
	.home .main-navigation:not(.is_stuck) .main-nav ul li a {width: calc(100% - 16px); height: calc(100% - 16px); left: 8px; top: 8px;}
	.tb-gallery.plastev.radek .tb-gallery {grid-template-columns: repeat(2, 1fr) !important;}
	
}









